<!DOCTYPE html>
<html>
<body>

<h2>JavaScript For Loop</h2>
<p id="demo"></p>
<h2>JavaScript For Each Method</h2>
<p id="demo2"></p>
<h2>JavaScript For In Method</h2>
<p id="demo3"></p>
<script>
const buah = ['apel','nangka','jambu','pisang','jeruk']
let i, len, text;
for (i = 0, len = buah.length, text = ""; i < len; i++) {
  text += buah[i] + "<br>";
}
document.getElementById("demo").innerHTML = text;


let each = "";
buah.forEach(myFunction);
document.getElementById("demo2").innerHTML = each;
function myFunction(item) {
  each += item + "<br>"; 
}

let txt = "";
for (let x in buah) {
  txt += buah[x] + "<br>"; 
}
document.getElementById("demo3").innerHTML = txt;
</script>
</body>
</html>
